PMINFO(1)

NAME
pminfo - display information about performance metrics

SYNOPSIS
pminfo [-dfFLmMtTvxz] [-a archive] [-b batchsize] [-c dmfile] [-h hostname] [-K spec] [-[n|N] pmnsfile] [-O time] [-Z timezone] [metricname ...]

DESCRIPTION
pminfo displays various types of information about performance metrics available through the facilities of the Performance Co-Pilot (PCP).

Normally pminfo operates on the distributed Performance Metrics Name Space (PMNS), however if the -n option is specified an alternative local PMNS is loaded from the file pmnsfile. The -N option supports the same function as -n, except for the handling of duplicate names for the same Performance Metric Identifier (PMID) in pmnsfile - duplicate names are allowed with -n they are not allowed with -N.

The metrics of interest are named in the metricname arguments. If metricname is a non-leaf node in the PMNS, then pminfo will recursively descend the PMNS and report on all leaf nodes. If no metricname argument is given, the root of the PMNS is used.

Unless directed to another host by the -h option, by default pminfo will contact the Performance Metrics Collector Daemon (PMCD) on the local host. The connection to a PMCD is only required if pminfo requires distributed PMNS information, and/or meta-data describing metrics, and/or metric values, and/or help text.

The -a option causes pminfo to use the specified archive rather than connecting to a PMCD. The -a , -h and -L options are mutually exclusive.

The -L option causes pminfo to use a local context to collect metrics from PMDAs on the local host without PMCD. Only some metrics are available in this mode. The -a,-h and -L options are mutually exclusive.

The -b option may be used to define the maximum size of the group of metrics to be fetched in a single request for the -f and -v options. The default value for batchsize is 20.

Other options control the specific information to be reported.

-c  The dmfile argument specifies a file that contains derived metric definitions in the format described for pmLoadDerivedConfig(3). The -c option provides a way to load derived metric definitions that is an alternative to the more generic use of the PCP_DERIVED_CONFIG environment variable as described in PCPIntro(1). Using the -c option and the PCP_DERIVED_CONFIG environment variable to specify the same configuration is a bad idea, so choose one or the other method.

-d  Metric descriptions detailing the PMID, data type, data semantics, units, scale and associated instance domain.

-f  Fetch and print values for all instances. When fetching from an archive, only those instances present in the first archive record for a metric will be displayed; see also the -O option, else use pmdumplog(1) which may be a better tool for examining archives.

-F  Same as -f but try harder to fetch instances for metrics which have non-enumerable instance domains (e.g. metrics in the ``proc'' subtree of the default PMNS).

-K  When using the -L option to fetch metrics from a local context, the -K option may be used to control the DSO PMDAs that should be made accessible. The spec argument conforms to the syntax described in __pmSpecLocalPMDA(3). More than one -K option may be used.

-m  Print the PMID in terse mode.

-M  Print the PMID in verbose mode.

-O  When used in conjunction with an archive source of metrics and the options -f or -F, the time argument defines a time origin at which the metrics should be fetched from the archive. Refer to PCPIntro(1) for a complete description of this option, and the syntax for the time argument.

    When the ``ctime'' format is used for the time argument in a -O option, the timezone becomes an issue. The default is to use the local timezone on the system where pminfo is run. The -Z option changes the timezone to timezone in the format of the environment variable TZ as described in environ(7). The -z option changes the timezone to the local timezone at the host that is the source of the performance metrics, as identified via the -a option.

-t  Print the ``one line'' help summary, if available.

-T  Print the help text, if available.

-v  Verify mode in which descriptions and values are retrieved, but only error conditions are reported. This option silently disables any output from the options -f, -M, -m, -t and -T.

-x  Like the -f option, but with the additional functionality that if a value is processed that is of type PM_TYPE_EVENT, then the event records will be unpacked and the details of each event record reported.

FILES
$PCP_VAR_DIR/pmns/*
    default local PMNS specification files

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pmchart(1), pmdumplog(1), pmdumptext(1), pmprobe(1), pmval(1), PMAPI(3), pmLoadDerivedConfig(3), __pmSpecLocalPMDA(3), pcp.conf(5), pcp.env(5) and pmns(5).